CMSIS-DSP: arm_convolution_example_f32.c File Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_convolution_example_f32.c File Reference

## Macros
#define | MAX_BLOCKSIZE
#define | DELTA
#define | SNR_THRESHOLD

## Functions
int32_t | main (void)

## Variables
float32_t | Ak [MAX_BLOCKSIZE]
float32_t | Bk [MAX_BLOCKSIZE]
float32_t | AxB [MAX_BLOCKSIZE *2]
float32_t | testInputA_f32 [64]
float32_t | testInputB_f32 [64]
const float | testRefOutput_f32 [127]
uint32_t | srcALen
uint32_t | srcBLen
uint32_t | outLen
float32_t | snr

## Macro Definition Documentation

#define DELTA

#define MAX_BLOCKSIZE

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

#define SNR_THRESHOLD

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_convolution_example_f32.c.

References Ak, arm_cfft_radix4_f32(), arm_cfft_radix4_init_f32(), arm_cmplx_mult_cmplx_f32(), arm_copy_f32(), arm_fill_f32(), ARM_MATH_SUCCESS, arm_snr_f32(), AxB, Bk, MAX_BLOCKSIZE, outLen, snr, SNR_THRESHOLD, srcALen, srcBLen, status, testInputA_f32, testInputB_f32, and testRefOutput_f32.

## Variable Documentation

float32_t Ak[MAX_BLOCKSIZE]

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

float32_t AxB[MAX_BLOCKSIZE *2]

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

float32_t Bk[MAX_BLOCKSIZE]

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

uint32_t outLen

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

float32_t snr

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

uint32_t srcALen

Examples:
  arm_convolution_example_f32.c.

Referenced by arm_conv_f32(), arm_conv_fast_opt_q15(), arm_conv_fast_q15(), arm_conv_fast_q31(), arm_conv_opt_q15(), arm_conv_opt_q7(), arm_conv_partial_f32(), arm_conv_partial_fast_opt_q15(), arm_conv_partial_fast_q15(), arm_conv_partial_fast_q31(), arm_conv_partial_opt_q15(), arm_conv_partial_opt_q7(), arm_conv_partial_q15(), arm_conv_partial_q31(), arm_conv_partial_q7(), arm_conv_q15(), arm_conv_q31(), arm_conv_q7(), arm_correlate_f32(), arm_correlate_fast_opt_q15(), arm_correlate_fast_q15(), arm_correlate_fast_q31(), arm_correlate_opt_q15(), arm_correlate_opt_q7(), arm_correlate_q15(), arm_correlate_q31(), arm_correlate_q7(), and main().

uint32_t srcBLen

Examples:
  arm_convolution_example_f32.c.

Referenced by arm_conv_f32(), arm_conv_fast_opt_q15(), arm_conv_fast_q15(), arm_conv_fast_q31(), arm_conv_opt_q15(), arm_conv_opt_q7(), arm_conv_partial_f32(), arm_conv_partial_fast_opt_q15(), arm_conv_partial_fast_q15(), arm_conv_partial_fast_q31(), arm_conv_partial_opt_q15(), arm_conv_partial_opt_q7(), arm_conv_partial_q15(), arm_conv_partial_q31(), arm_conv_partial_q7(), arm_conv_q15(), arm_conv_q31(), arm_conv_q7(), arm_correlate_f32(), arm_correlate_fast_opt_q15(), arm_correlate_fast_q15(), arm_correlate_fast_q31(), arm_correlate_opt_q15(), arm_correlate_opt_q7(), arm_correlate_q15(), arm_correlate_q31(), arm_correlate_q7(), and main().

float32_t testInputA_f32[64]

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

float32_t testInputB_f32[64]

Examples:
  arm_convolution_example_f32.c.

Referenced by main().

const float testRefOutput_f32[127]

Examples:
  arm_convolution_example_f32.c.

Referenced by main().